%define upstream_name    HTTP-Parser-XS
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A fast, primitive HTTP request parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl-devel
%description
HTTP::Parser::XS is a fast, primitive HTTP request/response parser.

The request parser can be used either for writing a synchronous HTTP server
or a event-driven server.

The response parser can be used for writing HTTP clients.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 368316
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 315803
- update to 0.15

* Wed May 30 2012 jquelin <jquelin> 0.140.0-2.mga3
+ Revision: 250775
- rebuild for perl 5.16

* Thu Jun 30 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 116621
- imported package perl-HTTP-Parser-XS

